9 Replies Latest reply: Dec 31, 2012 10:31 PM by mende1
kingbrhino Level 1 Level 1 (0 points)

We had a couple of older iMacs donated to our church that are currently running OS 10.5.8 how can we update to Lion or recent operating systems that support the app environments?


iMac, Mac OS X (10.5.8)